from nodebox.graphics import Point
from nodebox.function import MathFunctions
def getMiddlePoint(point1, point2):
    return Point((point1.x+point2.x)/2,(point1.y+point2.y)/2)

def getCirclePoints(position, d, pointNumbers):
    points=[]
    da=(2.0* MathFunctions.pi())/pointNumbers 
    r=d/2.0
    for i in range(pointNumbers):
        points.append(Point(position.x+r*MathFunctions.cos(da*i),position.y+r*MathFunctions.sin(da*i)))
    return points